<?php
/**
 * footer template
 *
 * @author LeapIn Corp.
 * @since 1.0.0
 */
?>
</div><!-- .inner-content -->
<div id="below_container">
    <!-- widget area for below container -->
    <?php if (is_active_sidebar('below_container')) : ?>

        <?php dynamic_sidebar('below_container'); ?>

    <?php endif; ?>
</div>
<?php do_action('leapin_loc_end_of_content'); ?>
</div><!-- #content -->
<?php leapin_footer(); ?>
<footer id="leapin_footer" class="footer" itemscope itemtype="http://schema.org/WPFooter">

    <div id="inner-footer" class="cf">

        <?php if (is_active_sidebar('footer-area-1')
            || is_active_sidebar('footer-area-2')
            || is_active_sidebar('footer-area-3')
            || is_active_sidebar('footer-area-4')
        ): ?>
            <div id="leapin_footer_widget">
                <div class="wrap">
                    <div class="row">
                        <?php if (LEAPIN_Footer::hide_column(1)): ?>
                            <div id="footer-area-1" class="footer-widget">
                                <?php if (is_active_sidebar('footer-area-1')): ?>
                                    <?php dynamic_sidebar('footer-area-1'); ?>
                                <?php endif; ?>
                            </div>
                        <?php endif; ?>
                        <?php if (LEAPIN_Footer::hide_column(2)): ?>
                            <div id="footer-area-2" class="footer-widget">
                                <?php if (is_active_sidebar('footer-area-2')): ?>
                                    <?php dynamic_sidebar('footer-area-2'); ?>
                                <?php endif; ?>
                            </div>
                        <?php endif; ?>
                        <?php if (LEAPIN_Footer::hide_column(3)): ?>
                            <div id="footer-area-3" class="footer-widget">
                                <?php if (is_active_sidebar('footer-area-3')): ?>
                                    <?php dynamic_sidebar('footer-area-3'); ?>
                                <?php endif; ?>
                            </div>
                        <?php endif; ?>
                        <?php if (LEAPIN_Footer::hide_column(4)): ?>
                            <div id="footer-area-4" class="footer-widget">
                                <?php if (is_active_sidebar('footer-area-4')): ?>
                                    <?php dynamic_sidebar('footer-area-4'); ?>
                                <?php endif; ?>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        <?php endif; ?>
        <div id="leapin_footer_copytext" class="source-org copyright">
            <p class="wrap">

                <?php

                $leapin_allowed_html_tags = array(
                    'a' => array(
                        'href' => array(),
                        'target' => array(),
                        'title' => array()
                    ),
                    'br' => array(),
                    'em' => array(),
                    'strong' => array(),
                );
                ?>
                <?php $inst = LEAPIN_Theme_Mod::get_instance();
                $leapin_copytext = $inst->get(LEAPIN_IDs::$leapin_copyright_text, LEAPIN_Theme_Mod::$default_leapin_copyright_text); ?>
                <?php echo trim(wp_kses($leapin_copytext, $leapin_allowed_html_tags)); ?>
                <?php do_action('leapin_loc_footer_author_credit'); ?>
            </p>
        </div>
    </div>

</footer>
</div><!-- .barba-container -->
</div><!-- .barba-wrapper -->

<?php $theme_location = 'mobile-nav';
if (has_nav_menu($theme_location)):?>
    <div class="mobile-nav">
        <input type="checkbox" class="mobile-nav__checkbox" id="navi-toggle">
        <label for="navi-toggle" class="mobile-nav__button">
            <span class="mobile-nav__icon">&nbsp;</span>
        </label>
        <div class="mobile-nav__background">&nbsp;</div>
        <p id="logo-in_mobile_menu" class="h1" itemscope itemtype="http://schema.org/Organization"><a
                    href="<?php echo leapin_get_home_url(); ?>" rel="nofollow"><?php bloginfo('name'); ?></a>
        </p>
        <nav class="mobile-nav__nav" aria-label="Navigation" itemscope
             itemtype="http://schema.org/SiteNavigationElement">
            <?php wp_nav_menu(array(
                'container' => false,                           // remove nav container
                'container_class' => 'secondary cf',                 // class of container (should you choose to use it)
                'menu_class' => 'nav mobile-nav simple cf',              // adding custom nav class
                'theme_location' => $theme_location,                 // where it's located in the theme
                'link_before' => '<span>',                            // before each link
                'link_after' => '</span>',                             // after each link
                'depth' => 3,                                   // limit the depth of the nav
            ));?>
        </nav>
        <?php do_action('leapin_loc_end_of_mobile_nav'); ?>
    </div>
<?php endif; ?>
</div>

<?php // all js scripts are loaded in library/pjax-blog.php ?>
<?php wp_footer(); ?>
<?php do_action('leapin_loc_end_of_body'); ?>
</body>

</html> <!-- end of site. what a ride! -->
