<?php
/**
 * This file serves the quick preview for
 * all of customizers. It was given
 * '.php' extension to serve dynamic contents
 *
 * @author LeapIn Corp.
 * @since 1.0.0
 */
header('Content-Type: application/x-javascript; charset=utf-8');

require_once __DIR__ . '/theme-mods-ids.php';
$css_selectors = LEAPIN_IDs::get_css_selector();

function applyCSS($identifier, $attrib, $value)
{

    $css = '';

    if (empty($value) || empty($attrib) || empty($identifier)) {
        return '';
    }

    $css = trim(sprintf("%1s { %2s: %3s; }", $identifier, $attrib, $value));

    return $css;

}

ob_start();
?>

(function ($) {

    <?php foreach($css_selectors as $id => $selectors): ?>
    <?php foreach($selectors as $selector): ?>
    <?php
    if ($id == LEAPIN_IDs::$leapin_primary_menu_accent_color
        || $id == LEAPIN_IDs::$leapin_primary_menu_link_color_hover
        || $id == LEAPIN_IDs::$leapin_secondary_menu_link_color_hover
        || $id == LEAPIN_IDs::$leapin_pjax_transition_loading_color
        || $id == LEAPIN_IDs::$leapin_mobile_menu_button_bg_color
        || $id == LEAPIN_IDs::$leapin_mobile_menu_link_bg_color_hover
        || $id == LEAPIN_IDs::$leapin_mobile_menu_bg_color
        || $id == LEAPIN_IDs::$leapin_mobile_menu_bg_color_gradient
        || $id == LEAPIN_IDs::$leapin_mobile_menu_button_display
        || $id == LEAPIN_IDs::$leapin_sidebar_links_color_hover
        || $id == LEAPIN_IDs::$leapin_footer_widget_color_links_hover
        || $id == LEAPIN_IDs::$leapin_copyright_links_hover

    )
        continue;
    ?>

    <?php $el = $selector[0]; $attr = $selector[1];?>
    wp.customize('<?php echo $id; ?>', function (value) {
        value.bind(function (to) {
            <?php if($id == LEAPIN_IDs::$leapin_secondary_menu_type): ?>
            if ($('<?php echo $el; ?>')) {
                $('<?php echo $el; ?>').removeClass('rich').removeClass('simple');
                $('<?php echo $el; ?>').addClass(to);
            }

            <?php elseif($attr == LEAPIN_IDs::$SR_ONLY): ?>

            if(to){
                $('<?php echo $el; ?>').addClass('<?php echo $attr; ?>');
            }else{
                $('<?php echo $el; ?>').removeClass('<?php echo $attr; ?>');
            }

            <?php else: ?>

            $('<?php echo $el; ?>').css('<?php echo $attr; ?>', to);

            <?php endif; ?>
        });
    });
    <?php endforeach; ?>
    <?php endforeach; ?>
})(jQuery);
<?php
echo str_replace(array("\r\n", "\r", "\n", "  "), '', ob_get_clean());
