<?php
/**
 * search page
 *
 * @author LeapIn Corp.
 * @since 1.0.0
 */
?>
<?php get_header(); ?>


<main id="main" itemscope
      itemprop="mainEntity" itemtype="http://schema.org/Blog">

    <h1 class="archive-title">
        <span><?php _e('Search Results for:', 'pjax-blog'); ?></span> <?php echo esc_attr(get_search_query()); ?></h1>
    <?php
    // set search layout type
    $specify = ['layout_type' => 'tile_ver2'];

    // set specific wp_query parameters to $specify
    $specify = apply_filters('leapin_search_query_args', $specify);

    include 'inc/template_parts/archive-content.php';
    ?>


</main>

<?php get_sidebar(); ?>

<?php get_footer(); ?>
